Debian Bug report logs - #594856
xterm: pointer remains invisible after running aptitude

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Vincent Lefevre <vincent@vinc17.net>

Date: Mon, 30 Aug 2010 08:45:01 UTC

Severity: normal

Tags: fixed-upstream, patch

Found in version xterm/261-1

Fixed in version xterm/264-1

Done: Cyril Brulebois <kibi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#594856; Package xterm. (Mon, 30 Aug 2010 08:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 30 Aug 2010 08:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xterm: pointer remains invisible after running aptitude
Date: Mon, 30 Aug 2010 10:43:09 +0200
Package: xterm
Version: 261-1
Severity: normal

After running aptitude and quitting it, the pointer remains invisible
when one moves it, until one makes an xterm menu appear or one moves
the pointer out of the xterm window. This is always reproducible.

I've tried to reproduce this problem with "Log to File", and cat the
obtained log file, but in such a case, the problem doesn't appear.
The pointer even reappears instead of remaining invisible as long as
one doesn't move the mouse.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/8 CPU cores)
Locale: LANG=POSIX, LC_CTYPE=en_US.ISO8859-1 (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/dash

Versions of packages xterm depends on:
ii  libc6                     2.11.2-2       Embedded GNU C Library: Shared lib
ii  libfontconfig1            2.8.0-2.1      generic font configuration library
ii  libice6                   2:1.0.6-1      X11 Inter-Client Exchange library
ii  libncurses5               5.7+20100313-2 shared libraries for terminal hand
ii  libutempter0              1.1.5-3        A privileged helper for utmp/wtmp 
ii  libx11-6                  2:1.3.3-3      X11 client-side library
ii  libxaw7                   2:1.0.7-1      X11 Athena Widget library
ii  libxft2                   2.1.14-2       FreeType-based font drawing librar
ii  libxmu6                   2:1.0.5-1      X11 miscellaneous utility library
ii  libxt6                    1:1.0.7-1      X11 toolkit intrinsics library
ii  xbitmaps                  1.1.0-1        Base X bitmaps

Versions of packages xterm recommends:
ii  x11-utils                     7.5+4      X11 utilities

Versions of packages xterm suggests:
pn  xfonts-cyrillic               <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#594856; Package xterm. (Mon, 30 Aug 2010 09:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 30 Aug 2010 09:06:03 GMT) Full text and rfc822 format available.

Message #10 received at 594856@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Vincent Lefevre <vincent@vinc17.net>, 594856@bugs.debian.org
Cc: Debian X Strike Force <debian-x@lists.debian.org>
Subject: Re: Bug#594856: xterm: pointer remains invisible after running aptitude
Date: Mon, 30 Aug 2010 05:02:28 -0400 (EDT)
On Mon, 30 Aug 2010, Vincent Lefevre wrote:

> Package: xterm
> Version: 261-1
> Severity: normal
>
> After running aptitude and quitting it, the pointer remains invisible
> when one moves it, until one makes an xterm menu appear or one moves
> the pointer out of the xterm window. This is always reproducible.

this sounds like (man xterm):

       pointerMode (class PointerMode)
               Specifies when the pointer may be hidden as the user types.  It
               will be redisplayed if the user moves the mouse, or clicks  one
               of its buttons.

               0  never

               1  the  application  running  in  xterm has not activated mouse
                  mode.  This is the default.

               2  always.

(pointerMode resource was added at the beginning of 2008)

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#594856; Package xterm. (Mon, 30 Aug 2010 09:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 30 Aug 2010 09:06:04 GMT) Full text and rfc822 format available.

Message #15 received at 594856@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: 594856@bugs.debian.org
Subject: Re: xterm: pointer remains invisible after running aptitude
Date: Mon, 30 Aug 2010 11:04:08 +0200
[Message part 1 (text/plain, inline)]
On 2010-08-30 10:43:09 +0200, Vincent Lefevre wrote:
> After running aptitude and quitting it, the pointer remains invisible
> when one moves it, until one makes an xterm menu appear or one moves
> the pointer out of the xterm window. This is always reproducible.
> 
> I've tried to reproduce this problem with "Log to File", and cat the
> obtained log file, but in such a case, the problem doesn't appear.
> The pointer even reappears instead of remaining invisible as long as
> one doesn't move the mouse.

To reproduce the bug, run "ttyplay ttyrecord-pointer" (attached)
in an 80x60 xterm and type a key before the end, so that the mouse
pointer disappears.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Arénaire project (LIP, ENS-Lyon)
[ttyrecord-pointer (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#594856; Package xterm. (Mon, 30 Aug 2010 09:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 30 Aug 2010 09:27:04 GMT) Full text and rfc822 format available.

Message #20 received at 594856@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Thomas Dickey <dickey@his.com>
Cc: 594856@bugs.debian.org, Debian X Strike Force <debian-x@lists.debian.org>
Subject: Re: Bug#594856: xterm: pointer remains invisible after running aptitude
Date: Mon, 30 Aug 2010 11:23:23 +0200
On 2010-08-30 05:02:28 -0400, Thomas Dickey wrote:
> On Mon, 30 Aug 2010, Vincent Lefevre wrote:
> this sounds like (man xterm):
> 
>        pointerMode (class PointerMode)
>                Specifies when the pointer may be hidden as the user types.  It
>                will be redisplayed if the user moves the mouse, or clicks  one
>                of its buttons.
> 
>                0  never
> 
>                1  the  application  running  in  xterm has not activated mouse
>                   mode.  This is the default.
> 
>                2  always.
> 
> (pointerMode resource was added at the beginning of 2008)

pointerMode is 2 in my case, so that when I type a key, the pointer
disappears. But the man page says: "It will be redisplayed if the
user moves the mouse", which xterm fails to do.

Note: as long as aptitude is running, the mouse pointer is redisplayed
when I move the mouse. The problem occurs after I quit aptitude.

This bug seems to be old, since I can reproduce it with xterm 251.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Arénaire project (LIP, ENS-Lyon)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#594856; Package xterm. (Mon, 30 Aug 2010 09:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 30 Aug 2010 09:39:08 GMT) Full text and rfc822 format available.

Message #25 received at 594856@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Vincent Lefevre <vincent@vinc17.net>
Cc: 594856@bugs.debian.org, Debian X Strike Force <debian-x@lists.debian.org>
Subject: Re: Bug#594856: xterm: pointer remains invisible after running aptitude
Date: Mon, 30 Aug 2010 05:35:56 -0400 (EDT)
On Mon, 30 Aug 2010, Vincent Lefevre wrote:

> This bug seems to be old, since I can reproduce it with xterm 251.

agree - I checked back to #233

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#594856; Package xterm. (Wed, 01 Sep 2010 21:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 01 Sep 2010 21:45:03 GMT) Full text and rfc822 format available.

Message #30 received at 594856@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 594856@bugs.debian.org
Cc: 594856-submitter@bugs.debian.org
Subject: re: #594856 xterm: pointer remains invisible after running aptitude
Date: Wed, 01 Sep 2010 17:40:36 -0400
[Message part 1 (text/plain, inline)]
fix attached (incremental after fix for #591265)

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[xterm-262b.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Thomas Dickey <dickey@his.com> to control@bugs.debian.org. (Wed, 01 Sep 2010 21:45:04 GMT) Full text and rfc822 format available.

Message sent on to Vincent Lefevre <vincent@vinc17.net>:
Bug#594856. (Wed, 01 Sep 2010 21:45:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#594856; Package xterm. (Thu, 14 Oct 2010 01:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 14 Oct 2010 01:15:07 GMT) Full text and rfc822 format available.

Message #40 received at 594856@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 594856@bugs.debian.org
Cc: 594856-submitter@bugs.debian.org
Subject: re: #594856 xterm: pointer remains invisible after running aptitude
Date: Wed, 13 Oct 2010 21:13:37 -0400
[Message part 1 (text/plain, inline)]
This is fixed in patch #263.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Message sent on to Vincent Lefevre <vincent@vinc17.net>:
Bug#594856. (Thu, 14 Oct 2010 01:15:13 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from Thomas Dickey <dickey@his.com> to control@bugs.debian.org. (Thu, 14 Oct 2010 01:15:14 GMT) Full text and rfc822 format available.

Reply sent to Cyril Brulebois <kibi@debian.org>:
You have taken responsibility. (Thu, 14 Oct 2010 23:33:05 GMT) Full text and rfc822 format available.

Notification sent to Vincent Lefevre <vincent@vinc17.net>:
Bug acknowledged by developer. (Thu, 14 Oct 2010 23:33:05 GMT) Full text and rfc822 format available.

Message #50 received at 594856-close@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: 594856-close@bugs.debian.org
Subject: Bug#594856: fixed in xterm 264-1
Date: Thu, 14 Oct 2010 23:28:16 +0000
Source: xterm
Source-Version: 264-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_264-1.diff.gz
  to main/x/xterm/xterm_264-1.diff.gz
xterm_264-1.dsc
  to main/x/xterm/xterm_264-1.dsc
xterm_264-1_amd64.deb
  to main/x/xterm/xterm_264-1_amd64.deb
xterm_264.orig.tar.gz
  to main/x/xterm/xterm_264.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 594856@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cyril Brulebois <kibi@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 14 Oct 2010 23:53:57 +0200
Source: xterm
Binary: xterm
Architecture: source amd64
Version: 264-1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Cyril Brulebois <kibi@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 591265 594856 600129
Changes: 
 xterm (264-1) unstable; urgency=low
 .
   * New upstream release:
     + Fix active-icon in specific cases (Closes: #591265).
     + Fix pointer visibility issues (Closes: #594856).
     + Fix segmentation fault with -fb and other options (Closes: #600129).
   * Add myself to Uploaders.
Checksums-Sha1: 
 b176c5d754b88928fda530efd381752fea75b208 1343 xterm_264-1.dsc
 1291a8b931394138c684f72923381a6b20d34f7d 935255 xterm_264.orig.tar.gz
 e25a168d63b93a3fc6ce0d9fd7c7737ab9e71352 81562 xterm_264-1.diff.gz
 1186180c27057392edc207f6950ed35acc06ba53 556562 xterm_264-1_amd64.deb
Checksums-Sha256: 
 289867c7987796a4a914c96cd7cd7d040b787ce5e29bfbdb7eb5b632b050d9e2 1343 xterm_264-1.dsc
 8d7a7679969ea4a95b3a625c815115c936817b829625d770eddfd3997d5803cd 935255 xterm_264.orig.tar.gz
 c90e1193e43eee6092f5b925e6cf7fc292ec2d9543b7066a3b7dcb71db91522c 81562 xterm_264-1.diff.gz
 9a048b2d88fbfc636e80a9c9dc47fadfb5b2ee90ef800000173e0872b110561e 556562 xterm_264-1_amd64.deb
Files: 
 2485173fddc0c1a54ff5d29868e5751c 1343 x11 optional xterm_264-1.dsc
 05a77528f51501b62d4acac8b781c05d 935255 x11 optional xterm_264.orig.tar.gz
 a10de95590699dafd106a985f74cd09b 81562 x11 optional xterm_264-1.diff.gz
 8786d597334c14b1c10973925858eb37 556562 x11 optional xterm_264-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAky3fZoACgkQeGfVPHR5Nd3IAQCePDyBXdBgQ7qSHykrDYTtawCv
B8UAnjPQUs/9egtbXLijyWJGOZHJbeVk
=rgtL
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 09:19:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:04:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.